<app-workspace-toolbar></app-workspace-toolbar>
<ion-content>
  <ion-split-pane contentId="societyHome">
    <ion-menu menuId="HomeMenu" contentId="societyHome">
      <ion-header>
        <ion-toolbar>
          <ion-avatar slot="start">
            <img src="{{society.profilePicture.content}}">
          </ion-avatar>
          <ion-title>{{society.name}}</ion-title>
        </ion-toolbar>
      </ion-header>
      <ion-content>
        <ion-list>
          <div *ngFor="let p of pages">
            <ion-menu-toggle autoHide="false" *ngIf="p.url ">
              <ion-item [routerLink]="p.url" routerOutlet="societyHome" routerDirection="root"
                routerLinkActive="active" (click)="expandMenu(p)">
                <ion-label>{{p.title| translate}}</ion-label>
                <ion-badge slot="end" id="notifications-badge" color="danger" *ngIf="p.showBadge">5</ion-badge>
              </ion-item>
            </ion-menu-toggle>

            <ion-item *ngIf="p.children?.length > 0" routerOutlet="societyHome" (click)="expandMenu(p)"
              routerDirection="root" [class.active-parent]="p.open" detail="false" [routerLink]="p.parentUrl" routerLinkActive="active">
              <ion-label>{{p.title| translate}}</ion-label>
              <ion-icon *ngIf="p.open" name="arrow-down" size="small"></ion-icon>
              <ion-icon *ngIf="!p.open" name="arrow-forward" size="small"></ion-icon>
              <ion-badge slot="end" id="notifications-badge" color="danger" *ngIf="p.showBadge">5</ion-badge>
            </ion-item>

            <ion-list *ngIf="p.open">
              <ion-menu-toggle autoHide="false">
                <ion-item *ngFor="let sub of p.children" class="sub-item" [routerLink]="sub.url"
                  routerOutlet="societyHome" routerDirection="root" routerLinkActive="active">
                  <ion-label>{{sub.title| translate}}</ion-label>
                  <ion-badge slot="end" id="notifications-badge" color="danger" *ngIf="p.showBadge">5</ion-badge>
                </ion-item>
              </ion-menu-toggle>
            </ion-list>
          </div>
        </ion-list>
      </ion-content>
    </ion-menu>
    <ion-router-outlet id="societyHome" main></ion-router-outlet>
  </ion-split-pane>
</ion-content>